Bug 169786 - sediffx is not properly configured for userhelper
sediffx is not properly configured for userhelper
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2005-10-03 12:33 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-29 14:12:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2005-10-03 12:33:27 EDT
Description of problem:
The sediffx application is only partially configured to be launched by
userhelper, so it can't be used through userhelper.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run "sediffx" as a non-root user.
Actual results:
Observe that no root password prompt ever appears.

Expected results:
I probably should be prompted to enter the root password.

Additional info:
The configuration file /etc/security/console.apps/sediffx exists, but its
contents point to /usr/bin/sepcut instead of /usr/sbin/sediffx as the
PROGRAM value.  There is no /etc/pam.d/sediffx configuration file, which
forces libpam to use the configuration for the "other" service, which is
configured to always fail.  There is no symbolic link named /usr/bin/sediffx
pointing to /usr/bin/consolehelper, so unless a user modifies her PATH, she
won't even be able to launch the application.
Comment 1 Daniel Walsh 2005-11-29 12:00:36 EST
Fixed in setools-2.2-1
Comment 2 Nalin Dahyabhai 2005-11-29 14:12:23 EST
Fix confirmed.

Note You need to log in before you can comment on or make changes to this bug.